{include="header"}

<script type="text/javascript">
   $(document).ready(function() {

      {if="$fsc->madre"}
      $("#modal_nueva_familia").modal('show');
      document.f_nueva_familia.ncodfamilia.focus();
      {else}
      document.f_custom_search.query.focus();
      {/if}

      if(window.location.hash.substring(1) == 'nueva')
      {
         $("#modal_nueva_familia").modal('show');
         document.f_nueva_familia.ncodfamilia.focus();
      }

      $("#b_nueva_familia").click(function(event) {
         event.preventDefault();
         $("#modal_nueva_familia").modal('show');
         document.f_nueva_familia.ncodfamilia.focus();
      });
   });
</script>

<div class="container-fluid">
   <div class="row">
      <div class="col-md-10 col-sm-9">
         <a class="btn btn-sm btn-default" href="index.php?page=ventas_articulos">
            <span class="glyphicon glyphicon-arrow-left"></span>
         </a>
         <a id="b_nueva_familia" class="btn btn-sm btn-success" href="#">
            <span class="glyphicon glyphicon-plus"></span>
            <span class="hidden-xs">&nbsp; Nueva</span>
         </a>
         <div class="btn-group">
            {loop="$fsc->extensions"}
               {if="$value->type=='button'"}
               <a href="index.php?page={$value->from}{$value->params}" class="btn btn-sm btn-default">{$value->text}</a>
               {/if}
            {/loop}
         </div>
      </div>
      <div class="col-md-2 col-sm-3">
         <div class="visible-xs">
            <br/>
         </div>
         <form name="f_custom_search" action="{$fsc->url()}" method="post" class="form">
            <div class="input-group">
               <input class="form-control" type="text" name="query" value="{$fsc->query}" autocomplete="off" placeholder="Buscar">
               <span class="input-group-btn">
                  <button class="btn btn-primary hidden-sm" type="submit">
                     <span class="glyphicon glyphicon-search"></span>
                  </button>
               </span>
            </div>
         </form>
      </div>
   </div>
</div>

<div class="container-fluid">
   <div class="row">
      <div class="col-sm-12">
         <div class="page-header">
            <h1>
               {if="$fsc->query==''"}
               <span class="glyphicon glyphicon-folder-open"></span>
               &nbsp; Categorias de artículos
               <small>{$fsc->total_familias()}</small>
               {else}
               <span class="glyphicon glyphicon-search"></span>
               &nbsp; Resultados de '{$fsc->query}'
               {/if}
               <a class="btn btn-xs btn-default" href="{$fsc->url()}" title="Recargar la página">
                  <span class="glyphicon glyphicon-refresh"></span>
               </a>
            </h1>
            <p class="help-block">
               Las Categorias son una forma sencilla de agrupar artículos. Además
               puedes meter Categorias dentro de otras, es decir, subCategoria.
            </p>
         </div>
      </div>
   </div>
   <div class="row">
      {loop="$fsc->resultados"}
      <div class="col-sm-3 col-lg-2" style="margin-bottom: 5px;">
         <a class="btn btn-block btn-default" href="{$value->url()}">
            <span class="glyphicon glyphicon-folder-open"></span>
            &nbsp; {$value->descripcion()}
         </a>
      </div>
      {else}
      <div class="col-sm-12 col-lg-12">
         <div class="alert alert-warning">Ninguna Categoria encontrada. Pulsa el botón <b>Nueva</b> para crear una.</div>
      </div>
      {/loop}
   </div>
</div>

<form class="form" name="f_nueva_familia" action="{$fsc->url()}" method="post">
   {if="$fsc->madre"}
   <input type="hidden" name="madre" value="{$fsc->madre}"/>
   {/if}
   <div class="modal" id="modal_nueva_familia">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
               <h4 class="modal-title">Nueva Categoria</h4>
               <p class="help-block">
                  Si quieres crear una subCategoria puedes hacerlo de dos formas:
                  primero creas la Categoria y luego le asignas la "principal", o bien
                  buscas la Categoria, haces clic en ella y creas ahí la subCategoria.
               </p>
            </div>
            <div class="modal-body">
               {if="$fsc->madre"}
               <div class="form-group">
                  Madre:
                  <input class="form-control" type="text" value="{$fsc->madre}" disabled="disabled"/>
               </div>
               {/if}
               <div class="form-group">
                  Código:
                  <input class="form-control" type="text" name="ncodfamilia" maxlength="8" autocomplete="off" required=""/>
               </div>
               <div class="form-group">
                  Descripción:
                  <input class="form-control" type="text" name="ndescripcion" autocomplete="off" required=""/>
               </div>
            </div>
            <div class="modal-footer">
               <button class="btn btn-sm btn-primary" type="submit">
                  <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
               </button>
            </div>
         </div>
      </div>
   </div>
</form>

{include="footer"}
